summaryrefslogtreecommitdiff
path: root/test/integration/test-kernel-helper-autoremove.fake-dpkg
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2012-11-05 11:31:29 +0100
committerMichael Vogt <mvo@debian.org>2014-02-14 20:26:41 +0100
commite5bdcc8708ee571a7d7d54bbdfa7e226300344ea (patch)
treebd9ebfb6d5566cbcf721655c56ad9338db96bedc /test/integration/test-kernel-helper-autoremove.fake-dpkg
parent32611903e8dcd6599042552c6c576b70e3d6633a (diff)
add testcase for the autoremove feature
Conflicts: debian/apt.auto-removal.sh
Diffstat (limited to 'test/integration/test-kernel-helper-autoremove.fake-dpkg')
-rw-r--r--test/integration/test-kernel-helper-autoremove.fake-dpkg13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/test-kernel-helper-autoremove.fake-dpkg b/test/integration/test-kernel-helper-autoremove.fake-dpkg
new file mode 100644
index 000000000..aec6d4418
--- /dev/null
+++ b/test/integration/test-kernel-helper-autoremove.fake-dpkg
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "-l" ]; then
+ echo "ii linux-image-1.0.0-2-generic 1.0.01-2 amd64"
+ echo "ii linux-image-3.5.0-17-generic 3.5.0-17 amd64"
+ echo "ii linux-image-10.0.0-1-generic 10.0.0.1-1 amd64"
+elif [ "$1" = "--compare-versions" ]; then
+ dpkg "$1" "$2" "$3" "$4"
+else
+ dpkg $@
+fi
+